Loading...
Searching...
No Matches
C API

## Classes

struct | ISMRMRD::ISMRMRD_Image

## Macros

#define | ISMRMRD_PUSH_ERR(code, msg)

## Typedefs

typedef struct ISMRMRD::ISMRMRD_Image | ISMRMRD::ISMRMRD_Image
typedef void(* | ISMRMRD::ismrmrd_error_handler_t) (const char *file, int line, const char *function, int code, const char *msg)

## Functions

EXPORTISMRMRD int | ISMRMRD::ismrmrd_init_acquisition_header (ISMRMRD_AcquisitionHeader *hdr)
EXPORTISMRMRD ISMRMRD_Acquisition * | ISMRMRD::ismrmrd_create_acquisition ()
EXPORTISMRMRD int | ISMRMRD::ismrmrd_free_acquisition (ISMRMRD_Acquisition *acq)
EXPORTISMRMRD int | ISMRMRD::ismrmrd_init_acquisition (ISMRMRD_Acquisition *acq)
EXPORTISMRMRD int | ISMRMRD::ismrmrd_cleanup_acquisition (ISMRMRD_Acquisition *acq)
EXPORTISMRMRD int | ISMRMRD::ismrmrd_copy_acquisition (ISMRMRD_Acquisition *acqdest, const ISMRMRD_Acquisition *acqsource)
EXPORTISMRMRD int | ISMRMRD::ismrmrd_make_consistent_acquisition (ISMRMRD_Acquisition *acq)
EXPORTISMRMRD size_t | ISMRMRD::ismrmrd_size_of_acquisition_traj (const ISMRMRD_Acquisition *acq)
EXPORTISMRMRD size_t | ISMRMRD::ismrmrd_size_of_acquisition_data (const ISMRMRD_Acquisition *acq)
EXPORTISMRMRD int | ISMRMRD::ismrmrd_init_image_header (ISMRMRD_ImageHeader *hdr)
EXPORTISMRMRD ISMRMRD_Image * | ISMRMRD::ismrmrd_create_image ()
EXPORTISMRMRD int | ISMRMRD::ismrmrd_free_image (ISMRMRD_Image *im)
EXPORTISMRMRD int | ISMRMRD::ismrmrd_init_image (ISMRMRD_Image *im)
EXPORTISMRMRD int | ISMRMRD::ismrmrd_cleanup_image (ISMRMRD_Image *im)
EXPORTISMRMRD int | ISMRMRD::ismrmrd_copy_image (ISMRMRD_Image *imdest, const ISMRMRD_Image *imsource)
EXPORTISMRMRD int | ISMRMRD::ismrmrd_make_consistent_image (ISMRMRD_Image *im)
EXPORTISMRMRD size_t | ISMRMRD::ismrmrd_size_of_image_attribute_string (const ISMRMRD_Image *im)
EXPORTISMRMRD size_t | ISMRMRD::ismrmrd_size_of_image_data (const ISMRMRD_Image *im)
EXPORTISMRMRD ISMRMRD_NDArray * | ISMRMRD::ismrmrd_create_ndarray ()
EXPORTISMRMRD int | ISMRMRD::ismrmrd_free_ndarray (ISMRMRD_NDArray *arr)
EXPORTISMRMRD int | ISMRMRD::ismrmrd_init_ndarray (ISMRMRD_NDArray *arr)
EXPORTISMRMRD int | ISMRMRD::ismrmrd_cleanup_ndarray (ISMRMRD_NDArray *arr)
EXPORTISMRMRD int | ISMRMRD::ismrmrd_copy_ndarray (ISMRMRD_NDArray *arrdest, const ISMRMRD_NDArray *arrsource)
EXPORTISMRMRD int | ISMRMRD::ismrmrd_make_consistent_ndarray (ISMRMRD_NDArray *arr)
EXPORTISMRMRD size_t | ISMRMRD::ismrmrd_size_of_ndarray_data (const ISMRMRD_NDArray *arr)
EXPORTISMRMRD bool | ISMRMRD::ismrmrd_is_flag_set (const uint64_t flags, const uint64_t val)
EXPORTISMRMRD int | ISMRMRD::ismrmrd_set_flag (ISMRMRD_UNALIGNED uint64_t *flags, const uint64_t val)
EXPORTISMRMRD int | ISMRMRD::ismrmrd_set_flags (ISMRMRD_UNALIGNED uint64_t *flags, const uint64_t val)
EXPORTISMRMRD int | ISMRMRD::ismrmrd_clear_flag (ISMRMRD_UNALIGNED uint64_t *flags, const uint64_t val)
EXPORTISMRMRD int | ISMRMRD::ismrmrd_clear_all_flags (ISMRMRD_UNALIGNED uint64_t *flags)
EXPORTISMRMRD bool | ISMRMRD::ismrmrd_is_channel_on (const uint64_t channel_mask[ISMRMRD_CHANNEL_MASKS], const uint16_t chan)
EXPORTISMRMRD int | ISMRMRD::ismrmrd_set_channel_on (uint64_t channel_mask[ISMRMRD_CHANNEL_MASKS], const uint16_t chan)
EXPORTISMRMRD int | ISMRMRD::ismrmrd_set_channel_off (uint64_t channel_mask[ISMRMRD_CHANNEL_MASKS], const uint16_t chan)
EXPORTISMRMRD int | ISMRMRD::ismrmrd_set_all_channels_off (uint64_t channel_mask[ISMRMRD_CHANNEL_MASKS])
int | ISMRMRD::ismrmrd_push_error (const char *file, const int line, const char *func, const int code, const char *msg)
EXPORTISMRMRD void | ISMRMRD::ismrmrd_set_error_handler (ismrmrd_error_handler_t)
EXPORTISMRMRD const char * | ISMRMRD::ismrmrd_strerror (int code)
EXPORTISMRMRD int | ISMRMRD::ismrmrd_sign_of_directions (float const read_dir[3], float const phase_dir[3], float const slice_dir[3])
EXPORTISMRMRD void | ISMRMRD::ismrmrd_directions_to_quaternion (float const read_dir[3], float const phase_dir[3], float const slice_dir[3], float quat[4])
EXPORTISMRMRD void | ISMRMRD::ismrmrd_quaternion_to_directions (float const quat[4], float read_dir[3], float phase_dir[3], float slice_dir[3])

## Detailed Description

## Macro Definition Documentation

## ISMRMRD_PUSH_ERR

#define ISMRMRD_PUSH_ERR | ( |  | code,
|  |  | msg )

Value:
ismrmrd_push_error(__FILE__, __LINE__, \
__func__, (code), (msg))

## Typedef Documentation

## ISMRMRD_Image

typedef struct ISMRMRD::ISMRMRD_Image ISMRMRD::ISMRMRD_Image

An individual Image

## Function Documentation

## ismrmrd_directions_to_quaternion()

void ISMRMRD::ismrmrd_directions_to_quaternion | ( | float const | read_dir[3],
|  | float const | phase_dir[3],
|  | float const | slice_dir[3],
|  | float | quat[4] )

Creates a normalized quaternion from a 3x3 rotation matrix

## ismrmrd_init_acquisition_header()

int ISMRMRD::ismrmrd_init_acquisition_header | ( | ISMRMRD_AcquisitionHeader * | hdr | ) |

Initialize an Acquisition Header

## ismrmrd_push_error()

int ISMRMRD::ismrmrd_push_error | ( | const char * | file,
|  | const int | line,
|  | const char * | func,
|  | const int | code,
|  | const char * | msg )

Saves error information on the error stack

Returns
  error code

## ismrmrd_quaternion_to_directions()

void ISMRMRD::ismrmrd_quaternion_to_directions | ( | float const | quat[4],
|  | float | read_dir[3],
|  | float | phase_dir[3],
|  | float | slice_dir[3] )

Converts a quaternion of the form | a b c d | to a 3x3 rotation matrix

## ismrmrd_set_error_handler()

void ISMRMRD::ismrmrd_set_error_handler | ( | ismrmrd_error_handler_t | handler | ) |

Sets a custom error handler

## ismrmrd_sign_of_directions()

int ISMRMRD::ismrmrd_sign_of_directions | ( | float const | read_dir[3],
|  | float const | phase_dir[3],
|  | float const | slice_dir[3] )

Calculates the determinant of the matrix and return the sign

## ismrmrd_strerror()

const char * ISMRMRD::ismrmrd_strerror | ( | int | code | ) |

Returns message for corresponding error code